%define ast_api_ver 1.8.0
%define modname register_license_skype
Summary: Skype support for Asterisk - The Open Source Linux PBX
Name: asterisk-chan-skype
Version: 1.1.4
Release: 0
License: Proprietary
Group: Applications/Internet
URL: http://downloads.digium.com/pub/telephony/skypeforasterisk/
Source0: http://downloads.digium.com/pub/telephony/skypeforasterisk/asterisk-%{ast_api_ver}/x86-32/skypeforasterisk-%{ast_api_ver}_%{version}-x86_32.tar.gz
Source1: http://downloads.digium.com/pub/telephony/skypeforasterisk/asterisk-%{ast_api_ver}/x86-64/skypeforasterisk-%{ast_api_ver}_%{version}-x86_64.tar.gz
Source2: http://downloads.digium.com/pub/telephony/skypeforasterisk/FAQS
Source3: http://downloads.digium.com/pub/telephony/skypeforasterisk/README
Source4: http://downloads.digium.com/pub/register/x86-32/register
Source5: register_license_skype_2.0.0-0.tgz
Source6: LICENSE

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

#Requires: asterisk >= %{ast_api_ver}
#BuildRequires: asterisk-devel >= %{ast_api_ver}
Requires: asterisk >= 2009020507:1.8.3.3
BuildRequires: asterisk-devel >= 2009020507:1.8.3.3
Prereq: elastix >= 2.0

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.

This module contains the proprietary Skype support for the Asterisk %{ast_api_ver}
series. It also contains the tools required to license the use of the Skype
channel in your individual machine. with the use of a license key supplied by 
Digium. In addition, this module contains an Elastix GUI for the registration
process.

%prep
rm -rf skypeforasterisk-%{ast_api_ver}_%{version}
if [ %{_arch} == "x86_64" ] ; then
	tar -xzf %{SOURCE1}
else
	tar -xzf %{SOURCE0}
fi

mv skypeforasterisk-%{ast_api_ver}_%{version}-* skypeforasterisk-%{ast_api_ver}_%{version}
cd skypeforasterisk-%{ast_api_ver}_%{version}
cp %{SOURCE4} .

%build
cd skypeforasterisk-%{ast_api_ver}_%{version}
make ASTLIBDIR=%{_libdir}/asterisk

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}/asterisk/modules/
mkdir -p %{buildroot}%{_localstatedir}/lib/asterisk/licenses
mkdir -p %{buildroot}%{_docdir}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
cd skypeforasterisk-%{ast_api_ver}_%{version}
make DESTDIR=%{buildroot} ASTLIBDIR=%{_libdir}/asterisk install
make DESTDIR=%{buildroot} ASTLIBDIR=%{_libdir}/asterisk samples
cp register %{buildroot}%{_sbindir}/register.skype
#cp codec_g729a.so %{buildroot}%{_libdir}/asterisk/modules/
cp %{SOURCE2} %{SOURCE3} %{SOURCE6} %{buildroot}%{_docdir}/%{name}-%{version}/

tar -xzvf %{SOURCE5}
cd %{modname}

# Files provided by all Elastix modules
mkdir -p    $RPM_BUILD_ROOT/var/www/html/
mv modules/ $RPM_BUILD_ROOT/var/www/html/

# Additional (module-specific) files that can be handled by RPM

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p    $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv setup/   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/


%post
# Add a line allowing execution by user asterisk to /etc/sudoers
if ! grep -q "register.skype" /etc/sudoers ; then
	echo "Adding register.skype to /etc/sudoers ..."
	echo "asterisk ALL = NOPASSWD: /usr/sbin/register.skype" >> /etc/sudoers
	chmod 440 /etc/sudoers
fi

# Run installer script to fix up ACLs and add module to Elastix menus.
elastix-menumerge /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/menu.xml

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

#php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

%preun
# Remove the register.skype line from /etc/sudoers
if [ $1 -eq 0 ]; then
	grep -v register.skype /etc/sudoers > /tmp/sudoers.tmp
	cp /tmp/sudoers.tmp /etc/sudoers
	rm -f /tmp/sudoers.tmp
	chmod 440 /etc/sudoers
	echo "Delete Skype menus"
	elastix-menuremove "%{modname}"
fi


%files
%defattr(-,root,root,-)
# %doc README LICENSE
%{_docdir}/%{name}-%{version}/*
%{_sbindir}/register.skype
%{_sysconfdir}/asterisk/chan_skype.conf
%{_libdir}/asterisk/modules/chan_skype.so
%{_libdir}/asterisk/modules/res_skypeforasterisk.so
%{_localstatedir}/lib/asterisk/licenses
%defattr(-, asterisk, asterisk)
%{_localstatedir}/www/html/*
/usr/share/elastix/module_installer/*

%changelog
* Mon May  2 2011 Alex Villacis Lasso <a_villacis@palosanto.com> 1.1.4-0
- Update to chan_skype 1.1.4 for Asterisk 1.8.3.3

* Mon Jan 24 2011 Alex Villacis Lasso <a_villacis@palosanto.com> 1.1.2-0
- Update to chan_skype 1.1.2

* Fri Jul 16 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 1.1.0.1-0
- Initial release

